Skip to main content
POST
/
stores
/
{storeId}
/
affiliates
/
invite
Invite affiliate.
curl --request POST \
  --url https://api.komerza.com/stores/{storeId}/affiliates/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "jsmith@example.com",
  "link": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "code": "<string>",
  "data": {
    "isEnabled": true,
    "balance": 8.988465674311579e+307,
    "link": "<string>",
    "returnPercentage": 50,
    "percentageOff": 50
  }
}

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

Store to create the affiliate in.

Body

application/json

Affiliate details (link, percentages, etc.).

Form for affiliates to update or add their own affiliate link

emailAddress
string<email>
required

Represents the email address associated with the form.

Required string length: 1 - 256

A link provided to affiliates for tracking and promotional purposes. Must not exceed 256 characters.

Maximum string length: 256

Response

The object was successfully created.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Form for store owners to edit affiliate status.